### Constructor

# Gsk BroadwayRenderer new

deprecated: 4.20

#### Declaration [src]

    GskRenderer*
    gsk_broadway_renderer_new (
      void
    )

#### Description [src]

Creates a new Broadway renderer.

The Broadway renderer is the default renderer for the broadway backend. It will only work with broadway surfaces, otherwise it will fail the call to gsk_renderer_realize().

This function is only available when GTK was compiled with Broadway support.

Deprecated since: 4.20

Broadway will be retired in GTK 5.

#### Return value

Type: `GskRenderer`

A new Broadway renderer.

The caller of the function takes ownership of the data, and is responsible for freeing it.